For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Subscription
      • GETGet Subscriptions
      • DELDelete Subscription
    • OpenAPI spec
LogoLogo
API ReferenceWebhooks

Get Subscriptions

||View as Markdown|
GET
/2025-07/webhook
GET
/2025-07/webhook
$curl https://api.shipbob.com/2025-07/webhook \
> -H "Authorization: Bearer <token>"
1{
2 "items": [
3 {
4 "created_at": "2019-08-24T14:15:22Z",
5 "description": "string",
6 "enabled": true,
7 "id": "12345",
8 "topics": [
9 "order.shipped"
10 ],
11 "url": "string"
12 }
13 ],
14 "next": "string",
15 "prev": "string"
16}
This endpoint returns a list of webhook subscriptions.
Was this page helpful?
Previous

Create Subscription

Next

Delete Subscription

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

RecordsPerPageintegerOptional1-250
Number of webhooks returned per page in a paginated response.
CursorstringOptional
The number of records to skip before starting to return the results. Used for pagination.

Response

Success
itemslist of objects or null
nextstring or null
prevstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error